Wordfence alert about simple-google-recaptcha.php | WordPress.org

Hello,a day or two ago Wordfence (WF) began flagging alerts on several sites; all are fully up to date.

Modified plugin file: wp-content/plugins/simple-google-recaptcha/simple-google-recaptcha.php

I notice on the SGR site that it was modified three days ago. Was there perhaps a new SGR release that did not bump the version?

The first flagges line is 133, the trailing comma in the modified line:

Original: Entity::BADGE_HIDE => new Entity(__(‘Hide reCAPTCHA v3 badge’, ‘simple-google-recaptcha’))

Modified: Entity::BADGE_HIDE => new Entity(__(‘Hide reCAPTCHA v3 badge’, ‘simple-google-recaptcha’)),

Another example is line 416:

Original: private function responseParse(string $response): array
Modified: private function recaptchaResponseParse(string $response)

Thanks in advance for the help. I will be glad to provide additional information if needed.

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Your Advertisement Here